string target = Argument<string>("target", "MSBuild");
string configuration = Argument<string>("configuration", "Debug");
string platform = Argument<string>("platform", "Any CPU");

string solution = "Meteor.sln";

Task("NuGetRestore")
    .Does(() =>
{
    NuGetRestore(solution);
});

Task("MSBuild")
    .IsDependentOn("NuGetRestore")
    .Does(() =>
{
    MSBuild(
        solution,
        new MSBuildSettings
        {
            ArgumentCustomization = args =>
            args
                .Append("/m")
                .Append("/nologo")
                .Append("/nr:false")
                .Append($"/p:Configuration={configuration};Platform=\"{platform}\"")
                .Append("/v:n")
        });
});

RunTarget(target);